using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace F90963
{
    public partial class Form1 : Form
    {
        protected GridControl grid;

        public Form1()
        {
            InitializeComponent();
            grid = new GridControl();
            grid.Location = new Point(1, 1);
            grid.Size = new Size(300, 400);
            grid.Dock = DockStyle.Fill;
            grid.CellHitTest += new GridCellHitTestEventHandler(grid_CellHitTest);

            this.Controls.Add(grid);

            grid.CellModels.Add("GridinCell", new GridInCellModel(grid.Model));
            GridControl embedGrid;

            this.grid[3, 2].CellType = "GridinCell";
            this.grid.CoveredRanges.Add(GridRangeInfo.Cells(3, 2, 7, 4));

            embedGrid = new CellEmbeddedGrid(this.grid);

            embedGrid.BackColor = Color.FromArgb(0xb4, 0xe7, 0xf2);
            embedGrid.RowCount = 10;
            embedGrid.ColCount = 4;
            embedGrid[1, 1].Text = "this is a 10x4 grid";
            embedGrid.ThemesEnabled = true;
            this.grid[3, 2].Control = embedGrid;
            this.grid.Controls.Add(embedGrid);

            embedGrid.GridVisualStyles = Syncfusion.Windows.Forms.GridVisualStyles.Office2007Blue;
            embedGrid.Properties.BackgroundColor = System.Drawing.Color.FromArgb(((System.Byte)(227)), ((System.Byte)(239)), ((System.Byte)(255)));
            embedGrid.Properties.GridLineColor = System.Drawing.Color.FromArgb(((System.Byte)(208)), ((System.Byte)(215)), ((System.Byte)(229)));
            embedGrid.DefaultGridBorderStyle = GridBorderStyle.Solid;
        }

        void grid_CellHitTest(object sender, GridCellHitTestEventArgs e)
        {
            if(e.RowIndex == 3 && e.ColIndex == 2)
                Console.WriteLine("Hit test performed");
        }
    }

    public class A:Form1
    {
        public A():base()
        {
        }        
    }
}